%bcond_without check

%global goipath         github.com/mitchellh/go-vnc
%global commit          723ed9867aed0f3209a81151e52ddc61681f0b01

%gometa

%global common_description %{expand:
Go-vnc is a VNC library for Go, initially supporting VNC clients but with the
goal of eventually implementing a VNC server.

This library implements RFC 6143.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        VNC client and server library for Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

Patch0:         0001-Fix-Errorf-wrong-type.patch

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
